BMAConsole Class Reference
Inheritance diagram for BMAConsole:
[legend]
Collaboration diagram for BMAConsole:
[legend]

## Public Member Functions

| BMAConsole (BMAEPoll &ePoll, string url, short int port)
BMASession * | getSocketAccept ()
Public Member Functions inherited from BMATCPServerSocket
| BMATCPServerSocket (BMAEPoll &ePoll, string url, short int port, string commandName)
virtual BMASession * | accept ()
Public Member Functions inherited from BMATCPSocket
| BMATCPSocket (BMAEPoll &ePoll)
string | getClientAddress ()
| Get the client network address as xxx.xxx.xxx.xxx.
string | getClientAddressAndPort ()
| Get the client network address and port as xxx.xxx.xxx.xxx:ppppp.
int | getClientPort ()
| Get the client network port number.
virtual void | output (stringstream &out)
void | onConnected () override
| Called when socket is open and ready to communicate. More...
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
| ~BMASocket ()
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (char *buffer, int length)
void | output (stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
Public Member Functions inherited from BMACommand
| BMACommand (string commandName)

## Additional Inherited Members

Public Attributes inherited from BMATCPSocket
struct sockaddr_in | client_addr
socklen_t | client_addr_len
Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
string | name
string | tag
Public Attributes inherited from BMACommand
string | commandName
Protected Member Functions inherited from BMATCPServerSocket
void | onDataReceived (char *data, int length) override
| Called when data is received from the socket. More...
int | processCommand (BMASession *session)
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
Protected Attributes inherited from BMATCPServerSocket
vector< BMASession * > | sessions
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

The documentation for this class was generated from the following files:

- /home/barant/Documents/Development/BMASockets/BMAConsole.h
- /home/barant/Documents/Development/BMASockets/BMAConsole.cpp